//default message styles
.message {
	margin:0 0 2em 0;
	padding:40px;
}

.big-warning {
	padding:60px 40px;
	margin: 0;
}

//extend message style

.success{

}

.error{

}

.error_message{

	background:palette(red,base);
	border:1px solid $white;
	color:palette(bg, base);
	font-weight:$fwb;
	@include fontSize(12px);
	@include animation('fadeIn 3s ease-in forwards');
	padding:20px 40px;
}

.warning{
	background: palette(red,base);
	color:palette(bg, base);
}

/// FORM ERROR HANDLING

.form_user_request__password{
	color:palette(red, base);
	font-size:8px !important;
	text-transform:uppercase;
	float: right;
	margin-top:50px;
	letter-spacing:1px;
	font-weight:$fwb;
	clear:both;
}

.messsage_plain{
	@include animation('fadeIn 3s ease-in-out forwards');

	@include tab {
		width:75%;
		@include padding-all(0, 40px, 40px, 40px);
	}
}


.error-bar {
	background: rgba(palette(red, base), .99);
	color: palette(bg, base);
	height:60px;
	line-height:60px;
	border:1px solid $white;
	margin:0 0 1px;
	padding:0 0 0 40px;
	width:100%;
	box-shadow: 0 0 0 1px palette(red,x-dark) inset;
	position: relative;
	.error{
		color: palette(bg, base);
		font-weight:$fwb;
	}
	.close-error-bar{
		display:inline-block;
		width:58px;
		height:58px;
		position:absolute;
		padding-left:25px;
		right:0;
		background: darken(palette(red,x-dark), 1.5%);
		border-left: darken(palette(red,x-dark), 1.75%);
		cursor: pointer;

		.DeleteCross {
			@include centerer;
			fill: white;
			width:14px;
		}

	}
}

.error-bar-is-closed{
	@include animation('fadeOut .3s ease-in forwards');
	display: none;
}

.nojs-wrapper{
	@include animation('fadeIn .3s ease-in forwards');
	background: rgba($main-bg, 0.95) none repeat scroll 0% 0%;
	width: 100%;
	height: 100%;
	position: fixed;
	top: 0;
	left: 0;
	right: 0;
	z-index: 100000;
	border:10px solid $main-bg;


	@include tab {
	border:20px solid $main-bg;
	}
}

.nojs{
	@include animation('fadeIn .6s ease-in forwards');
	@include centerer;
	position: relative;
	padding: 40px 20px;
	width: 98%;
	background: #F9F9F3 ;
	background: linear-gradient(35deg,#F9F9F3 45%, #FBFBF0 55%);;
	border:1px solid palette(purple,base);
	box-shadow: 0 2px 10px rgba(0, 0, 0, 0.15);


	@include tab {
		width: 520px;
		padding: 40px;
		box-shadow: 0 10px 20px rgba(0, 0, 0, 0.15);

	}


	@include  tab {
		padding: 40px 60px;
	}

	p{
		@include fontSize(12px);
		margin-bottom: 0px;

		&:before{
			@include before-top-deco(40px, 2px, 40px, palette(purple,base));
			margin:20px 0px ;
			transition: width .4s ease-in;
		}
	}
}
